Subject: Re: [nvo3] VxLAN L2 VNI vs L3 VNI

From: Shahram Davari <[email-masked]>
Date: Mon, 2 Oct 2017 11:27:48 -0700

Hi

I am assuming you are talking about VXLAN-GPE. Right?

Thx
Shahram

> On Sep 30, 2017, at 4:42 AM, Reith, Lothar <[email-masked]> wrote:
> 
> Hi Gang,
> 
> Let me rephrase your question as follows: Is it possible that a  L3 VNI instance uses the same identifier as a L2 VNI instance, 
> and if yes, would it be a recommended practice or not (why not?).
> 
> 
> 	
> Lothar
> 
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: nvo3 [mailto:[email-masked]] Im Auftrag von GangChen
> Gesendet: Samstag, 30. September 2017 05:34
> An: [email-masked]
> Betreff: [nvo3] VxLAN L2 VNI vs L3 VNI
> 
> Hello group,
> 
> Just intend to figure out the relation between L2 VNI and L3 VNI.
> 
> Considering the following simple scenario, a tenant has subnet1 and subnet2.
> Those subnets use L2 VNI 2000 and L2 VNI 3000 respectively.
> The distributed L3 NVEs are used to connect two subnets.
> Since L3 VNI is another VxLAN segment, L3 NVE use different VNI with L2 VNI, I’m wondering to know what’s the issue if the L3 VNI is identical with L2 VNI.
> For example, L3 NVE takes 2000 as L3 VNI in this case.
> L3 VNE is router-capable. It will separate two broadcast domains natively.
> It seems no impacts.  Is there anything I miss?
> 
> 
> +————+                                   +————+
> | L3 NVE  |=====L3 VNI=======| L3 NVE  |
> +————+                                   +————+
>       ||                                                     ||
> L2 VNI: 2000                                L2 VNI: 3000
>       ||                    				     ||
> +————+                                   +————+
> |  Subnet1 |                                    | Subnet2 |
> +————-+                                  +————-+
> 
> BRs
> 
> Gang
> 
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3